%define anolis_release 1
%global pypi_name wasabi
%global pypi_version 1.1.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A lightweight console printing and formatting toolkit

License:        MIT
URL:            https://github.com/explosion/wasabi
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel pytest
BuildRequires:  python3dist(colorama) >= 0.4.6
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-extensions) >= 3.7.4.1

%description
A lightweight console printing and formatting toolkit

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(colorama) >= 0.4.6
Requires:       python3dist(typing-extensions) >= 3.7.4.1
%description -n python3-%{pypi_name}
A lightweight console printing and formatting toolkit


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.1.2-1
- Initial package.